# Define the kmod package name here.
%define	 kmod_name connlimit
%define	 pom_ver patch-o-matic-ng-20071213

Name:	 %{kmod_name}-kmod
Version: 0.1
Release: 1%{?dist}
Group:	 System Environment/Kernel
License: GPLv2
Summary: CentOS-5 connlimit kernel module
URL:	 http://www.netfilter.org/

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  patch-o-matic-ng-20071213.tar.gz

# Patches.
Patch0: patch-o-matic-ng-20071213-connlimit.patch

# If kversion isn't defined on the rpmbuild line, build for the current kernel.
%{!?kversion: %define kversion %(uname -r)}

# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64
%define xenvar xen
%endif

# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}

# Magic hidden here.
%define kmodtool sh /usr/lib/rpm/redhat/kmodtool
%{expand:%(%{kmodtool} rpmtemplate_kmp %{kmod_name} %{kversion} %{kvariants} 2>/dev/null)}

%description
Connlimit kernel module

%prep
%setup -q -n %{pom_ver}
mkdir %{kmod_name}
cp patchlets/%{kmod_name}/linux-2.6/include/linux/netfilter_ipv4/ipt_%{kmod_name}.h %{kmod_name}
cp patchlets/%{kmod_name}/linux-2.6/net/ipv4/netfilter/ipt_%{kmod_name}.c %{kmod_name}
cp patchlets/%{kmod_name}/iptables/extensions/libipt_%{kmod_name}.c %{kmod_name}
%patch0 -p0
for kvariant in %{kvariants} ; do
    %{__cp} -a %{kmod_name} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    %{__make} -C "${ksrc}" modules M=$PWD
    popd
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    %{__make} -C "${ksrc}" modules_install M=$PWD
    popd
done
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec strip --strip-debug \{\} \;

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 06 2009 Denis Frolov <d.frolov81@mail.ru> - 0.8.2-1
- Initial build
